@import "vendor/bootstrap/bootstrap/variables";
@import "variables";
@import "mixins/underline";
@import "2020base";
$distros-size: 7;

.install-header {
  margin-bottom: 200px;

  h1{
    position: relative;
    display: inline-block;

    &::before{
      content: "";
      display: inline;
      width: 50px;
      height: 100%;
      background-image: url("/images/pricing/particles-faq-left.svg");
      position: absolute;
      background-repeat: no-repeat;
      background-size: contain;
      top: -20px;
      left: -10%;
    }

    &::after{
      content: "";
      display: inline;
      width: 50px;
      height: 100%;
      background-image: url("/images/pricing/particles-faq-right.svg");
      position: absolute;
      background-repeat: no-repeat;
      background-size: contain;
      top: -20px;
      right: -10%;
    }
    @media (max-width: 767px) {
      &::before{
        left: -5%;
      }

      &::after{
        right: -5%;
      }
    }
  }


  p{
    max-width: 730px;
    margin: auto;

    &.description{
      margin-top: 9px;
    }

  }
}

.install-prerequisites {
  width: 600px;
  position: absolute;
  bottom: -45px;
  transform: translateX(-50%);
  left: 50%;

  @media (max-width: 767px) {
    width: 100%;
  }

  p {
    font-size: 16px;
    max-width: 450px;
    margin: 0 auto;
  }
}

.btn.margin-left-none {
  margin-left: 0;
}

.btn.cta-btn.lavender {
  width: unset;

  @media (max-width: $screen-sm-min) {
    width: 100%;
  }
}

.cards-section {
  padding-bottom: $spacing-unit-sm;

  a.hide-underline:hover  {
    text-decoration: none;
  }

  &.cards-section-grey {
    background: #f5f5f5;
  }
}

.block-title {
  text-align: center;
  margin-top: $spacing-unit-sm;
}

.method {
  margin-top: $spacing-unit-sm;

  .block-title {
    text-align: center;
    margin-top: 0;
  }

  &.omnibus {
    margin-top: 100px;

    @media (max-width: 767px) {
      margin-top: $spacing-unit-lg;
    }
  }

  &.kubernetes {
    .flex-tile-list {
      justify-content: center;
    }
  }

  p {
    color: $text-color-light;

    a:not(.btn) {
      color: $text-color-light;
      text-decoration: underline;
    }
  }

  ul {
    padding: 0;
  }

  li {
    list-style: none;
  }

  svg {
    fill: currentColor;
  }

  &.upgrade {
    text-align: center;

    p {
      margin-bottom: 30px;

      &:last-child,
      .cta-btn {
        margin: 0;
        text-decoration: none;
      }
    }
  }
}

.flex-tile-list {
  display: flex;
  flex-wrap: wrap;
  margin-top: $spacing-unit-sm;

  @media (min-width: $screen-sm-min) {
    margin-left: -10px;
    margin-right: -$spacing-unit-xs; // offset for items on right side
  }

  > .tile:not(.no-tile) {
    list-style: none;
    display: flex;
    flex: 0 0 calc(100% - 20px);
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0 ($spacing-unit-xs / 2) $spacing-unit-xs;
    text-decoration: none;
    color: $color-primary-alt;

    p {
      color: $color-gray;
    }

    @media (min-width: $screen-sm-min) {
      flex: 0 0 calc(33% - 20px);
    }

    &:hover,
    &:focus,
    &.is-active {
      color: $color-primary-alt;

      .tile-image {
        transform: scale(1.1);
      }

      .tile-info {
        transform: translateY(4px);
      }

    }

    &.distro-content {
      flex: 0 0 100%;
      max-width: calc(100% - 20px);
      align-items: flex-start;
      padding: $spacing-unit-xs;
      text-align: left;

      @media (min-width: $screen-sm-min) {
        max-width: calc(100% - 30px);
      }

      @media (min-width: $screen-md-min) {
        padding: $spacing-unit-sm $spacing-unit-lg;
      }
    }
  }

  .no-tile {
    width: 100%;
  }
}

.tile-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: $transition-primary;
}

.tile-image {
  margin: 0 auto $spacing-unit-xs;
  color: $text-color-light;
  filter: grayscale(100%);
  transition: $transition-primary;

  &,
  svg {
    height: 52px;
    max-width: 100%;
    width: 200px;
  }
}

.border-divider {
  border-top: 1px solid $border-color;

  p {
    margin-top: $spacing-unit-xs;
  }
}

@for $i from 1 through $distros-size {
  .distro-tile-#{$i} {
    order: $i;

    @media (min-width: $screen-sm-min) {
      order: ceil($i / 3);
    }
  }

  .distro-content-#{$i} {
    order: $i;

    @media (min-width: $screen-sm-min) {
      order: (ceil($i / 3)) + 1;
    }
  }
}

.distro-content {
  width: 100%;
  background-color: $color-white;
  padding: 40px;
  margin: 0 $spacing-unit-xs $spacing-unit-xs $spacing-unit-xxs;

  h4 {
    margin: $spacing-unit-sm 0 $spacing-unit-xs 0;

    &:first-of-type {
      margin-top: 0;
    }
  }

  .js-install-instructions p a {
    text-decoration: none;
  }

  .display-extra-links {
    display: flex;

    a {
      padding: $spacing-unit-xs $spacing-unit-xs 0 0;
      font-size: 18px;
    }
  }

  .alert-info {
    background-color: unset;
    border: unset;
    border-radius: unset;
    border-left: 4px solid #52CDB7;
    color: $color-black333;
  }

  .alert-warning {
    background-color: unset;
    border: unset;
    border-radius: unset;
    border-left: 4px solid $color-red;
    color: $color-black333;
  }

  code {
    color: $color-black333;
    background-color: $color-gray-extra-light;
  }
}

.cta-block {
  .method-cta {
    margin: 30px 15px;
    width: calc(50% - 30px);
    justify-content: flex-end;
  }
  
  @media (max-width: 767px) {
    .method-cta {
      width: 100%;
    }
  }
}

.command {
  color: $text-color-light;
  font-size: 14px;
  line-height: 1.7em;
  display: flex;
  justify-content: space-between;
  align-items: center;
  white-space: pre-line;
  background-color: $color-white;

  .btn {
    line-height: 0;
  }
}

.edition-picker {
  margin-bottom: $spacing-unit-sm;

  a {
    font-size: 18px;
    margin-right: 15px;

    &:hover {
      text-decoration: none;
    }
  }

  .is-active {
    font-weight: 600;

    &:hover::after {
      background-color: $color-accent;
    }
  }

  .is-active,
  a:hover {
    position: relative;

    &::after {
      content: "";
      position: absolute;
      left: 0;
      bottom: -4px;
      right: 0;
      height: 2px;
      background-color: $color-primary;
    }
  }
}

